System.ServiceModel 4.0.0.0 System.Configuration.ConfigurationElement

This configuration section specifies the settings for searching custom policy assertions about binding features, as well as attaching a custom binding element that implements the features the assertion requires.

Represents the configuration element that specifies the import of custom policy assertions about bindings. This class cannot be inherited.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with a specific policy type.

  The type of policy.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with a specific policy type.

  The type of policy.
- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("type", IsKey=true, IsRequired=true, Options=System.Configuration.ConfigurationPropertyOptions.IsRequired | System.Configuration.ConfigurationPropertyOptions.IsKey)
  System.Configuration.StringValidator(InvalidCharacters=null, MaxLength=2147483647, MinLength=1)
  System.String To be added. To be added.

  Gets or sets the type of this configuration element.